﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Configuration Management &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Setting</p>
                </div>
            </div>

        </div>
    </div>
</div>


@*<button onclick="toastrTest()">Testing</button>*@
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">Region</p>
                <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="nigeria-ho" data-toggle="tab" href="#nigeriaho" role="tab" aria-controls="nigeria-ho" aria-selected="true">

                            Nigeria Head Office
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="nigeria-bo" data-toggle="tab" href="#nigeriabo" role="tab" aria-controls="nigeriabo" aria-selected="false" onclick="loadNigeriaBo()">

                            Nigeria Branch Offices
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="africa-ho" data-toggle="tab" href="#africaho" role="tab" aria-controls="africaho" aria-selected="false" onclick="loadCountryHO()">Africa Head-Offices</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="africa-bo" data-toggle="tab" href="#africabo" role="tab" aria-controls="africabo" aria-selected="false" onclick="loadCountryBO()">Africa Branch-Offices</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="nigeriaho" role="tabpanel" aria-labelledby="nigeria-ho">
                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> Select Department</label>
                                    <select class="form-control" id="selectNigeriaHO">
                                    </select>
                                </div>
                            </div>
                        </div>
                        @Html.Partial("_userTable", "nigeriaHOTable")


                    </div>
                    <div class="tab-pane fade" id="nigeriabo" role="tabpanel" aria-labelledby="nigeria-bo">

                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> Select Branch/ Department</label>
                                    <div>
                                        <select class="form-control" id="selectNigeriaBO">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @Html.Partial("_userTable", "nigeriaBOTable")

                    </div>
                    <div class="tab-pane fade" id="africaho" role="tabpanel" aria-labelledby="africa-ho">
                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> Select Country</label>
                                    <select class="form-control" id="selectCountryHO">
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> List of Departments </label>
                                    <select class="form-control" id="selectListDeptHO">
                                    </select>
                                </div>
                            </div>
                        </div>
                        @Html.Partial("_userTable", "AfricaHOTable")
                    </div>
                    <div class="tab-pane fade" id="africabo" role="tabpanel" aria-labelledby="africa-bo">
                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> Select Department</label>
                                    <select class="form-control" id="selectCountryBO">
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row ">
                            <div class="col-md-12">
                                <div class="form-group mt-4">
                                    <label for="exampleInputPassword1"> List of Branches/ </label>
                                    <select class="form-control" id="selectListDeptBO">
                                    </select>
                                </div>
                            </div>
                        </div>
                        @Html.Partial("_userTable", "AfricaBOTable")
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="userModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content" id="userModalBody">

        </div>
    </div>
</div>

    <script type="text/javascript">
                 
                var oTable;
                //selectNigeria  Head Office and Branch Office
                $(document).ready(function () {


        $('#selectNigeriaHO').select2();
                    ajaxCall('NGA', true, '#selectNigeriaHO');
                    $('#selectNigeriaHO').change(function () {
                        dataTableLoader($(this).val(), "#nigeriaHOTable")
                    });

                     $('#selectNigeriaBO').change(function () {
                        dataTableLoader($(this).val(), "#nigeriaBOTable")
                });
    });

    function ajaxCall(country, checkHo, binder ) {
        var url = '@Url.Action("Records", "Configuration")';
        $.ajax({
            url:url,
            type: 'GET',
            data: 'country=' + country  + '&checkHO=' + checkHo,
            dataType: 'json',
            success: function (json) {
                $(binder).empty();
                 $(binder).append($('<option>').html("Select Departments").attr('value',null));
                $.each(json.data, function (i, value) {
                    $(binder).append($('<option>').html(value.Department).attr('value', value.Department + '^' + value.solID));
                });
            }
        });
    }

    function loadNigeriaBo() {
          $('#selectNigeriaBO').select2();
     var records =  ajaxCall('NGA', false, '#selectNigeriaBO');


    }
    function loadCountryHO() {
        loadUBACountries('#selectCountryHO');
    }
    function loadCountryBO() {
        loadUBACountries('#selectCountryBO');
    }

    function loadUBACountries(dropdown) {
          $(dropdown).select2();
var url = '@Url.Action("AllUBACountriesExceptNG", "Configuration")';
         $.ajax({
            url:url,
            type: 'GET',
            dataType: 'json',
             success: function (json) {
                 $(dropdown).empty();
                   $(dropdown).append($('<option>').html("Select Country").attr('value',null));
             $.each(json.data, function (i, value) {
                    $(dropdown).append($('<option>').html(value.Description+' '+'<small> ('+value.Name +') </small>').attr('value', value.Name));
          });
            }
        });

    }
    //Africa HO section
    $(document).ready(function () {
        $('#selectCountryHO').change(function () {
            $('#selectListDeptHO').select2();
            var records = ajaxCall($(this).val(), true, '#selectListDeptHO');

        });

          $('#selectListDeptHO').change(function () {
              dataTableLoader($(this).val(), "#AfricaHOTable");

        });
    });

 //Africa BO section
    $(document).ready(function () {
        $('#selectCountryBO').change(function () {
            $('#selectListDeptBO').select2();
            ajaxCall($(this).val(), true, '#selectListDeptBO');

        });

          $('#selectListDeptBO').change(function () {
              dataTableLoader($(this).val(), "#AfricaBOTable");

        });
    });

                function dataTableLoader(deptSolid, tableName) {
                    $(tableName).dataTable().fnDestroy();
                     oTable = $(tableName).DataTable({
                        "processing": true, // for show progress bar
                        "filter": true, // this is for disable filter (search box)
                        "orderMulti": false, // for disable multiple column at once
                        columns: [

                            { 'data': 'username' },
                            { 'data': 'Department' },

                            {
                                "data": "id", orderable: false, "width": "50px", render: function (data) {
                                    return '<button class="btn btn-danger btn-lg" style="min-height:2rem" onclick="GetUsername(' + data+ ')">Add</button>';
                                }
                            }
                        ],

                        "delay": 150,
                        "ajax": {
                            "url": '@Url.Action("GetAllUserByDepartment", "Configuration")?DepartmentSolid='+encodeURIComponent(deptSolid)+'', 
                            "type": "GET",
                            "datatype": "json"
                        }
                    });
                   return oTable;
                }


    function GetUsername(userId) {
        $.get('@Url.Action("GetUserDetail", "Configuration")', { id: userId }, function (res) {
            $("#userModalBody").html(res);
            $("#userModal").modal("show");
           // oTable.ajax.reload();
        });
    }

//GetAddUser

                function AddUser() {
                    var form = $('form[name="saveUser"]');
                    var entry = form.serialize();
        $.get('@Url.Action("GetAddUserAsync", "Configuration")',entry, function (res) {  
            if (res.data) {
                toastr.success(res.message, "Notification");
                oTable.ajax.reload();
            }
            else {
                toastr.error(res.message, "Error Notification");
            }
           //
        });
                }


              
    </script>
    